/**
 * Works Section Styles
 *
 * @package Olive
 */

/* FuturaLT-300 - latin */
@font-face {
	font-family: 'FuturaLT';
	font-style: normal;
	font-weight: 300;
	src: url(../../src/library/font/futura/FuturaLT-Light-300.eot); /* IE9 Compat Modes */
	src:
		local('FutraLT Light'),
		local('FuturaLT-Light'),
		url(../../src/library/fonts/futura/FuturaLT-Light.eot?#iefix)
			format('embedded-opentype'),
		url(../../src/library/fonts/futura/FuturaLT-Light.woff2) format('woff2'),
		url(../../src/library/fonts/futura/FuturaLT-Light.woff) format('woff'),
		url(../../src/library/fonts/futura/FuturaLT-Light.ttf) format('truetype');
	/* url(../../src/library/fonts/lato-v16-latin/lato-v16-latin-300.svg#Lato) format('svg'); /* Legacy iOS */
}

/* FuturaLT-LightOblique - latin */
@font-face {
	font-family: 'FuturaLT';
	font-style: oblique;
	font-weight: 300;
	src: url(../../src/library/fonts/futura/FuturaLT-LightOblique.eot); /* IE9 Compat Modes */
	src:
		local('FuturaLT Light Italic'),
		local('FuturaLT-LightItalic'),
		url(../../src/library/fonts/futura/FuturaLT-LightOblique.eot?#iefix)
			format('embedded-opentype'),
		url(../../src/library/fonts/futura/FuturaLT-LightOblique.woff2)
			format('woff2'),
		url(../../src/library/fonts/futura/FuturaLT-LightOblique.woff)
			format('woff'),
		url(../../src/library/fonts/futura/FuturaLT-LightOblique.ttf)
			format('truetype');
	/* url(../../src/library/fonts/futura/FuturaLT-Light-300italic.svg#Lato) format('svg'); /* Legacy iOS */
}

/* FuturaLT-Book - latin */
@font-face {
	font-family: 'FuturaLT';
	font-style: normal;
	font-weight: 400;
	src: url(../../src/library/fonts/futura/FuturaLT-Book.eot); /* IE9 Compat Modes */
	src:
		local('FuturaLT Book'),
		local('FuturaLt-Book'),
		url(../../src/library/fonts/futura/FuturaLT-Book.eot?#iefix)
			format('embedded-opentype'),
		url(../../src/library/fonts/futura/FuturaLT-Book.woff2) format('woff2'),
		url(../../src/library/fonts/futura/FuturaLT-Book.woff) format('woff'),
		url(../../src/library/fonts/futura/FuturaLT-Book.ttf) format('truetype');
	/* url(../../src/library/fonts/lato-v16-latin/lato-v16-latin-regular.svg#Lato) format('svg'); /* Legacy iOS */
}

/* FuturaLT-BookOblique - latin */
@font-face {
	font-family: 'FuturaLT';
	font-style: italic;
	font-weight: 400;
	src: url(../../src/library/fonts/futura/FuturaLT-BookOblique.eot); /* IE9 Compat Modes */
	src:
		local('FuturaLT Book Oblique'),
		local('FuturaLT-BookOblique'),
		url(../../src/library/fonts/futura/FuturaLT-BookOblique.eot?#iefix)
			format('embedded-opentype'),
		url(../../src/library/fonts/futura/FuturaLT-BookOblique.woff2)
			format('woff2'),
		url(../../src/library/fonts/futura/FuturaLT-BookOblique.woff)
			format('woff'),
		url(../../src/library/fonts/futura/FuturaLT-BookOblique.ttf)
			format('truetype');
	/* url(../../src/library/fonts/lato-v16-latin/lato-v16-latin-italic.svg#Lato) format('svg'); /* Legacy iOS */
}
/* FuturaLT-Bold - latin */
@font-face {
	font-family: 'FuturaLT';
	font-style: normal;
	font-weight: 700;
	src: url(../../src/library/fonts/futura/FuturaLT-Bold.eot); /* IE9 Compat Modes */
	src:
		local('FouturaLT BoldOblique'),
		local('FuturaLT-boldOblique'),
		url(../../src/library/fonts/futura/FuturaLT-Bold.eot?#iefix)
			format('embedded-opentype'),
		url(../../src/library/fonts/futura/FuturaLT-Bold.woff2) format('woff2'),
		url(../../src/library/fonts/futura/FuturaLT-Bold.woff) format('woff'),
		url(../../src/library/fonts/lfutura/FuturaLT-Bold.ttf) format('truetype');
	/* url(../../src/library/fonts/lato-v16-latin/lato-v16-latin-700.svg#Lato) format('svg'); /* Legacy iOS */
}
/* futura-boldoblique - latin */
@font-face {
	font-family: 'FuturaLT';
	font-style: italic;
	font-weight: 700;
	src: url(../../src/library/futura/FuturaLT-BoldOblique.eot); /* IE9 Compat Modes */
	src:
		local('FuturaLT Bold Oblique'),
		local('FuturaLT-BoldOblique'),
		url(../../src/library/fonts/futura/FuturaLT-BoldOblique.eot?#iefix)
			format('embedded-opentype'),
		url(../../src/library/fonts/futura/FuturaLT-BoldOblique.woff2)
			format('woff2'),
		url(../../src/library/fonts/futura/FuturaLT-BoldOblique.woff)
			format('woff'),
		url(../../src/library/fonts/futura/FuturaLT-BoldOblique.ttf)
			format('truetype');
	/* url(../../src/library/fonts/lato-v16-latin/lato-v16-latin-700italic.svg#Lato) format('svg'); /* Legacy iOS */
}

/*---------------------------------
		Colors Variables
    
-----------------------------------*/
:root {
	--black: #06021d;
	--light: #e0dfe4;
	--link-on-light: #2111dd;
	--link-on-dark: #8980ec;
	--hover: #ecb40a;
	--danger: #ec4811;

	--new-theme-color: #929479;
	--new-theme-color-2: #2d2f26;
	--new-theme-color-3: #dd3c0b;

	/*----------------
		Border Radius
	------------------*/
	/* Fluid Border Radius: 0.8rem to 2.5rem */
	/* 0.8rem = Min | 2vw + 0.5rem = Preferred | 2.5rem = Max */
	--radius-fluid-rem: clamp(0.8rem, 2vw + 0.5rem, 2.5rem);
	--border-radius-sm: 16px;
	--border-radius-lg: 24px;

	/*----------------
		Paddings and margins
	------------------*/
	/* Fluid Padding (Top/Bottom): 0.5rem to 2rem */
	--btn-padding-y: clamp(0.5rem, 2vw + 0.2rem, 2rem);
	/* Fluid Padding (Left/Right): 1rem to 2rem */
	--btn-padding-x: clamp(1rem, 2vw + 0.5rem, 2rem);
	/* Fluid inner spacing */
	--pad-xy-fluid: clamp(1rem, 2vw, 2rem);
	--padding-left-fluid: clamp(1rem, 5vw, 3rem);
	--padding-right-fluid: clamp(1rem, 5vw, 3rem);
	--padding-top-fluid: clamp(0.5rem, 5vh, 3rem);
	--padding-y-fluid: clamp(1.5rem, 2vh, 4rem);
	--padding-y-fluid-lg: clamp(2rem, 2vh, 8rem);
	--padding-y-fluid-md: clamp(0.5rem, 2.5vh, 1rem);
	--padding-bottom-fluid: clamp(0.5rem, 5vh, 3rem);
	--padding-sm: 0.5rem;
	--padding-md: 1rem;
	--padding-lg: 1.5rem;
	--padding-xl: 2rem;
	--padding-xxl: 4rem;

	/* Fluid Margin (Top/Bottom): 0.5rem to 2rem */
	--margin-y-fluid: clamp(0.5rem, 2vw + 0.2rem, 2rem);
	/* Fluid Margin (Left/Right): 1rem to 2rem */
	--margin-x-fluid: clamp(1rem, 2vw + 0.5rem, 2rem);
	--margin-sm: 0.5rem;
	--margin-md: 1rem;
	--margin-lg: 1.5rem;
	--margin-xl: 2rem;
	--margin-xxl: 4rem;

	/* Fluid Column Gap: 0.5rem to 4rem */
	--column-gap-fluid: clamp(0.5rem, 4vw + 0.25rem, 2rem);
	/* Fluid Row Gap: 0.5rem to 4rem */
	--row-gap-fluid: clamp(0.5rem, 4vw + 0.25rem, 2rem);
	--gap-sm: 0.5rem;
	--gap-md: 1rem;
	--gap-lg: 1.5rem;
	--gap-xl: 2rem;
	--gap-xxl: 4rem;

	/*----------------
		Images and boxes aspect ratios
	------------------*/
	--horizontal: 16/9;
	--vertical: 4/5;
	--square: 1/1;

	/*----------------
		Font sizes
	------------------*/

	/* Paragraph sizes */
	--paragraph-base: clamp(1rem, 1vw + 1rem, 1.25rem);
	--paragraph-large: clamp(2rem, 1vw + 2rem, 2rem);
	--paragraph-md: clamp(1rem, 1vw + 0.8rem, 1.1rem);
	--heading-in-page-sm: clamp(1.2rem, 2vw, 3rem);
	--p-sm: 0.8rem;
	--p-md: 1.2rem;
	--p-lg: 1.5rem;
	--p-xl: 2rem;
	--p-xxl: 3rem;

	/* H1 sizes */
	--heading-base: clamp(4rem, 16vw, 22rem);
	--heading-in-page: clamp(4rem, 8vw, 11rem);
	--heading-in-page-md: clamp(2rem, 4vw, 5.5rem);
	--h1-sm: 2rem;
	--h1-md: 3rem;
	--h1-lg: 4rem;
	--h1-xl: 5rem;
	--h1-xxl: 6rem;

	/* H2 sizes */
	--h2-fluid-lg: clamp(3.5rem, 16vw - 2.2rem, 18rem);
	--h2-fluid-md: clamp(2.5rem, 12vw - 1.8rem, 13.5rem);
	--h2-fluid-sm: clamp(1.75rem, 8vw - 1.1rem, 9rem);
	--h2-fluid: clamp(1.3rem, 2.5vw, 3.3rem);
	--h2-sm: 1.5rem;
	--h2-md: 2rem;
	--h2-lg: 2.5rem;
	--h2-xl: 3rem;
	--h2-xxl: 4rem;

	/* H3 sizes */
	--h3-fluid: clamp(1.2rem, 2vw, 3rem);
	--h3-sm: 1.2rem;
	--h3-md: 1.5rem;
	--h3-lg: 2rem;
	--h3-xl: 2.5rem;
	--h3-xxl: 3rem;

	/*Links and buttons variables*/
	--link-text-fluid: clamp(1.2rem, 2.5vw, 3rem);
	--link-text-fluid-md: clamp(1rem, 2vw, 2rem);
	--link-text-fluid-sm: clamp(1rem, 1vw, 1.5rem);
	--link-text-fluid-xs: clamp(0.5rem, 1vw, 1rem);
	--link-text-sm: 1.3rem;
	--link-text-md: 1.8rem;
	--link-text-lg: 2.5rem;
	--link-text-xl: 3rem;
	--link-text-xxl: 4rem;

	/*---------------- Icons ----------------*/
	--icon-fluid-md: clamp(4rem, 2vw + 0.5rem, 6rem);
	--icon-fluid: clamp(1.2rem, 2vw + 0.5rem, 3rem);

	/*---------------- 
	Divs
	----------------*/
	--div-fluid-width: clamp(300px, 25%, 1440px);
	--div-fluid-width: clamp(300px, 25%, 1440px);
	--div-fluid-height: clamp(22rem, 65vh, 60rem);
	--fw-container: clamp(90%, 90%, 90%);
}
.work-section {
	min-height: 100vh;
}

/*---------------------------------
        Mouse Follow Circle style is is main.css
				class: mouse-follow-circle
-----------------------------------*/

.mouse-follow-circle span {
	text-transform: uppercase;
	letter-spacing: 1px;
}

.work-section:hover .mouse-follow-circle {
	opacity: 1;
}

/* Works Container */
.works-container {
	min-height: 80vh;
	height: max-content;
	display: flex;
	flex-direction: row;
	justify-content: end;
	gap: var(--column-gap-fluid);
	width: 100%;
}

.old-works-wrapper {
	width: 100%;
}

/* Work Preview Container */
.work-preview-wrapper {
	width: 33%;
	justify-content: center;
	align-items: center;
	overflow: hidden;
}

.work-preview-container {
	display: block;
	width: 100%;
	justify-content: center;
	align-items: center;
	overflow: hidden;
	position: relative;
	text-decoration: none;
}

.work-image .large {
	width: 100%;
	aspect-ratio: var(--vertical);
	background-size: cover;
	background-position: center;
	background-repeat: no-repeat;
	transition: transform 0.6s ease-in-out;
}

.work-preview-container .work-image {
	min-width: 100%;
	aspect-ratio: var(--vertical);
	justify-content: center;
	align-items: center;
	background-size: cover;
	background-position: center;
	background-repeat: no-repeat;
	overflow: hidden;
}

.work-overlay {
	position: absolute;
	bottom: 0;
	left: 0;
	width: 100%;
	height: 100%;
	/* Background gradient color on default */
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
	justify-content: start;
	gap: 1rem;
	align-items: end;
	transition: background-color 0.6s ease-in-out;
}

/* Home page work items overlays*/
.is-preview {
	/* Background gradient color on default */
	height: 100%;
	padding: 2rem;
	background: linear-gradient(transparent, transparent, var(--black));
}
.is-list {
	justify-content: end;
	align-items: center;
	transition: all 0.6s ease-in-out;
}
.is-list:hover {
	/* Background gradient color on hover */
	padding-right: var(--padding-md);
	font-style: italic;
}

/* Work Title and Category */
.work-title {
	/* Title opacity on default */
	opacity: 1;
	transition:
		transform 0.6s ease,
		opacity 0.6s ease;
}

.work-category {
	opacity: 0;
	transition: opacity 0.6s ease-in-out;
}

.work-preview-container:hover .work-title,
.work-preview-container:hover .work-category,
.work-item:hover .work-title,
.work-item:hover .work-category {
	/* Title opacity on hover */
	opacity: 1;
}

/* Works Section Styles (Partial for Reference) */
.works-grid {
	display: flex;
	flex-direction: column;
	flex: auto;
	flex-wrap: wrap;
}

h3.work-title {
	margin: 0;
	font-size: var(--link-text-fluid-md);
	font-weight: 300;
}
.work-item {
	position: relative;
	overflow: hidden;
	text-decoration: none;
}

.is-old {
	display: flex;
	justify-content: center;
	align-items: center;
	width: 100%;
	height: auto;
	padding: var(--padding-y-fluid-lg) 0;
	background-size: cover;
	background-position: center;
	background-repeat: no-repeat;
}

.is-small {
	width: 100%;
}

.work-item .work-image {
	background-size: cover;
	background-position: center;
	background-repeat: no-repeat;
	transition: transform 0.6s ease-in-out;
}

/* View All Container */
.view-all-container {
	display: flex;
	align-items: center;
	justify-content: flex-end;
	padding: var(--padding-top-fluid) 0;
}

/* Responsive Styles */
@media screen and (max-width: 992px) {
	.works-container {
		flex-direction: row;
		flex: 50% 50%;
		justify-content: space-between;
		gap: var(--column-gap-fluid);
	}

	/* Work Preview Container */
	.work-preview-wrapper {
		width: 50%;
		aspect-ratio: var(--vertical);
	}

	.work-preview-container {
		width: 100%;
		aspect-ratio: var(--vertical);
	}

	.work-preview-container .work-image {
		width: 100%;
		justify-content: center;
		align-items: center;
		overflow: hidden;
	}

	.old-works-wrapper {
		display: flex;
		flex-direction: column;
		row-gap: var(--row-gap-fluid);
		width: 50%;
	}

	.work-image .large {
		width: 100%;
		aspect-ratio: var(--vertical);
		background-size: cover;
		background-position: center;
		background-repeat: no-repeat;
		transition: transform 0.6s ease-in-out;
		padding: var(--padding-sm);
	}

	.work-image {
		width: 100%;
		aspect-ratio: var(--vertical);
		justify-content: center;
		align-items: center;
		overflow: hidden;
	}

	.work-overlay {
		height: 100%;
		padding: var(--pad-xy-fluid);
	}

	/* Show overlay on mobile without hover */
	.work-overlay {
		background-color: rgba(21, 21, 0, 0.35);
	}

	.work-title,
	.work-category {
		opacity: 1;
	}

	.works-grid {
		display: flex;
		flex-direction: column;
		flex: auto;
		flex-wrap: wrap;
		gap: 2rem;
	}

	.work-item,
	.is-old {
		width: 100%;
		padding: 0;
	}

	.view-all-container {
		width: 100%;
		display: flex;
		align-items: center;
		padding: var(--padding-sm) 0;
	}
}

/* Animation for scroll into view on mobile */
@media screen and (max-width: 768px) {
	.work-preview-container {
		justify-content: center;
		align-items: center;
	}
	.work-overlay {
		display: flex;
		flex-direction: row;
		opacity: 0;
		transition: opacity 0.6s ease;
		align-items: end;
	}

	.work-overlay.visible {
		opacity: 1;
	}

	.work-category {
		display: none;
	}
}

@media screen and (max-width: 576px) {
	.works-container {
		display: flex;
		flex-direction: column;
	}
	.work-preview-wrapper {
		width: 100%;
	}
	.works-grid {
		display: grid;
		grid-template-columns: auto auto;
		grid-template-rows: auto;
		width: 100%;
	}

	.old-works-wrapper {
		width: 100%;
	}
}

@media screen and (max-width: 480px) {
	.works-grid {
		display: flex;
		flex-direction: column;
	}
}
